Bug 392501 - yum silently removes a -devel package
yum silently removes a -devel package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 10:04 EST by Christopher Aillon
Modified: 2014-06-16 07:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:17:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2007-11-20 10:04:13 EST
Note that I start with two libao and two libao-devel packages.  After, I have
two libao and one libao-devel package.  Yum did not advertise it was going to do
this when it prompted me about the transaction.

I'm not actually sure if the correct behavior should have been to update all 4
packages (and advertise it), or whether the update of the 3 packages was correct
with the removal, but either way yum didn't tell me what was going on.  :-)

% rpm -q yum
yum-3.2.7-1.fc8
% rpm -q --queryformat="%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" libao libao-devel
libao-0.8.6-5.fc8.x86_64
libao-0.8.6-5.fc8.i386
libao-devel-0.8.6-5.fc8.i386
libao-devel-0.8.6-5.fc8.x86_64
% sudo yum --enablerepo=updates-testing update libao
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package libao.i386 0:0.8.8-2.fc8 set to be updated
--> Processing Dependency: libao = 0.8.6-5.fc8 for package: libao-devel
--> Processing Dependency: libao = 0.8.6-5.fc8 for package: libao-devel
---> Package libao.x86_64 0:0.8.8-2.fc8 set to be updated
--> Processing Dependency: libao = 0.8.6-5.fc8 for package: libao-devel
--> Running transaction check
---> Package libao-devel.x86_64 0:0.8.8-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 libao                   i386       0.8.8-2.fc8      updates-testing    37 k
 libao                   x86_64     0.8.8-2.fc8      updates-testing    37 k
Updating for dependencies:
 libao-devel             x86_64     0.8.8-2.fc8      updates-testing    26 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       3 Package(s)         
Remove       0 Package(s)         

Total download size: 99 k
Is this ok [y/N]: y
Downloading Packages:
(1/3): libao-0.8.8-2.fc8. 100% |=========================|  37 kB    00:00     
(2/3): libao-devel-0.8.8- 100% |=========================|  26 kB    00:00     
(3/3): libao-0.8.8-2.fc8. 100% |=========================|  37 kB    00:00     
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8
Importing GPG key 0x30C9ECF8 "Fedora Project (Test Software)
<rawhide@redhat.com>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : libao                        ######################### [1/7] 
  Updating  : libao                        ######################### [2/7] 
  Updating  : libao-devel                  ######################### [3/7] 
  Cleanup   : libao                        ######################### [4/7] 
  Cleanup   : libao                        ######################### [5/7] 
  Cleanup   : libao-devel                  ######################### [6/7] 
  Cleanup   : libao-devel                  ######################### [7/7] 

Updated: libao.i386 0:0.8.8-2.fc8 libao.x86_64 0:0.8.8-2.fc8
Dependency Updated: libao-devel.x86_64 0:0.8.8-2.fc8
Complete!
% rpm -q --queryformat="%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" libao libao-devel
libao-0.8.8-2.fc8.x86_64
libao-0.8.8-2.fc8.i386
libao-devel-0.8.8-2.fc8.x86_64
Comment 1 seth vidal 2007-11-21 00:15:01 EST
could you run:
rpm -q --obsoletes libao libao-devel

and post the output?
Comment 2 Christopher Aillon 2007-11-21 05:16:38 EST
% rpm -q --obsoletes libao libao-devel
(none)(none)(none)%   
Comment 3 Florian Festi 2007-11-21 06:31:16 EST
(In reply to comment #1)
> could you run:
> rpm -q --obsoletes libao libao-devel
> 
> and post the output?

Yes, this was my first thought, too. But this looks like an "update for
dependency" bug on second sight. Don't think we have a proper test case for that
yum version, but this problem should be solved in git HEAD.
Comment 4 seth vidal 2007-11-21 09:33:40 EST
The problem is that it doesn't look like it's coming out of yum, though. There
are only 3 items in the transaction. None of those items should be able to remove:
libao-devel-0.8.6-5.fc8.i386

without an obsoletes and that package is clearly not being removed explicitly.

So where's the implicit removal coming from?

I'd be curious if this same thing happened with an:
rpm -Uvh for those pkgs.
Comment 5 Christopher Aillon 2007-11-23 05:36:26 EST
With all 4 packages installed, yes rpm lets an upgrade to only 3 of them through.

% sudo rpm -Uvh libao-0.8.8-2.fc8.x86_64.rpm libao-0.8.8-2.fc8.i386.rpm
libao-devel-0.8.8-2.fc8.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:libao                  ########################################### [ 33%]
   2:libao                  ########################################### [ 67%]
   3:libao-devel            ########################################### [100%]
Comment 6 Seth Vidal 2007-12-06 23:22:24 EST
chris can you replicate this in yum 3.2.8?
Comment 7 Christopher Aillon 2007-12-07 08:47:16 EST
Yes, the problem still exists in yum-3.2.8-2.fc8
Comment 8 Seth Vidal 2008-03-12 11:46:32 EDT
Panu, any ideas here?
Comment 9 Seth Vidal 2008-05-30 11:47:03 EDT
pinging panu, again
Comment 10 James Antill 2008-08-07 15:55:42 EDT
 Re-assigning to rpm
Comment 11 Bug Zapper 2008-11-26 03:36:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 00:17:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Panu Matilainen 2014-06-16 07:11:05 EDT
Clearing off ancient needinfo...

Note You need to log in before you can comment on or make changes to this bug.